"use strict";

var _formik = _interopRequireDefault(require("../formik"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// const mapErrors = require('../formik').__get__('mapErrors');

/**
describe('mapErrors', () => {
  it('should return msg property', () => {
    expect(
      mapErrors({
        'hello.dolly': 'foo',
      }),
    ).toMatchObject({
      hello: {
        dolly: 'foo',
      },
    });
  });

  it('should return msg string', () => {
    expect(
      mapErrors({
        'foo': {
          msg: 'bar',
        },
      }),
    ).toMatchObject({
      foo: 'bar',
    });
  });
});
 */
describe('useFormik', () => {
  const {
    onComplete,
    onStart
  } = (0, _formik.default)();
  const setSubmitting = jest.fn();
  const resetForm = jest.fn();
  const setErrors = jest.fn();
  beforeEach(() => {
    setSubmitting.mockReset();
  });
  it('should call setSubmitting property', () => {
    onStart({
      setSubmitting
    });
    expect(setSubmitting).toHaveBeenCalledWith(true);
  });
  it('should reset the form', () => {
    onComplete(null, {
      setSubmitting,
      resetForm
    });
    expect(setSubmitting).toHaveBeenCalledWith(false);
    expect(resetForm).toHaveBeenCalled();
  });
  it('should process errors', () => {
    const actions = {
      setSubmitting,
      setErrors
    };
    onComplete({
      errors: {
        'foo.bar.a': 'b'
      }
    }, actions);
    expect(actions).toHaveProperty('isTouched');
    expect(setSubmitting).toHaveBeenCalledWith(false);
    expect(setErrors).toHaveBeenCalledWith({
      foo: {
        bar: {
          a: 'b'
        }
      }
    });
  });
  it('should do nothing without an action object', () => {
    expect(onStart()).toBeUndefined();
    expect(onComplete()).toBeUndefined();
  });
});